Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class BitmapRenderingSettings

    java.lang.Object
      org.apache.fop.render.java2d.Java2DRenderingSettings
          org.apache.fop.render.bitmap.BitmapRenderingSettings

All Implemented Interfaces:
  TIFFConstants

    public class BitmapRenderingSettings

extends Java2DRenderingSettings
implements TIFFConstants

This class holds settings used when rendering to bitmaps.

Field Summary

Fields inherited from interface org.apache.fop.render.bitmap.TIFFConstants
`COMPRESSION_CCITT_T4, COMPRESSION_CCITT_T6, COMPRESSION_DEFLATE, COMPRESSION_JPEG, COMPRESSION_LZW, COMPRESSION_NONE, COMPRESSION_PACKBITS, COMPRESSION_ZLIB, MIME_TYPE`

Constructor Summary
`BitmapRenderingSettings()` Default constructor.

Method Summary
`int` | `getBufferedImageType()` Returns the BufferedImage type.
`org.apache.xmlgraphics.image.writer.ImageWriterParams` | `getWriterParams()` Returns the image writer parameters used for encoding the bitmap images.
`boolean` | `isAntiAliasingEnabled()` Indicates whether anti-aliasing is enabled.
`boolean` | `isQualityRenderingEnabled()` Indicates whether quality rendering is enabled.
`void` | `setAntiAliasing(boolean value)` Enables or disables anti-aliasing.
`void` | `setBufferedImageType(int bufferedImageType)` Sets the type of the BufferedImage to use when preparing a new instance.
`void` | `setQualityRendering(boolean quality)` Controls whether to optimize rendering for speed or for quality.

Methods inherited from class org.apache.fop.render.java2d.Java2DRenderingSettings
`getPageBackgroundColor, hasTransparentPageBackground, setPageBackgroundColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitmapRenderingSettings

    public BitmapRenderingSettings()

  Default constructor. Initializes the settings to their default values.

Method Detail

### getWriterParams

    public org.apache.xmlgraphics.image.writer.ImageWriterParams getWriterParams()

  Returns the image writer parameters used for encoding the bitmap images.

  Returns:
    the image writer parameters

### getBufferedImageType

    public int getBufferedImageType()

  Returns the BufferedImage type.

  Returns:
    one of BufferedImage.TYPE_*

### setBufferedImageType

    public void setBufferedImageType(int bufferedImageType)

  Sets the type of the BufferedImage to use when preparing a new instance.

  Parameters:
    `bufferedImageType` - a BufferImage.TYPE_* value

### setAntiAliasing

    public void setAntiAliasing(boolean value)

  Enables or disables anti-aliasing.

  Parameters:
    `value` - true to enable anti-aliasing

### isAntiAliasingEnabled

    public boolean isAntiAliasingEnabled()

  Indicates whether anti-aliasing is enabled.

  Returns:
    true if anti-aliasing is enabled

### setQualityRendering

    public void setQualityRendering(boolean quality)

  Controls whether to optimize rendering for speed or for quality.

  Parameters:
    `quality` - true to optimize for quality, false to optimize for speed

### isQualityRenderingEnabled

    public boolean isQualityRenderingEnabled()

  Indicates whether quality rendering is enabled.

  Returns:
    true indicates optimization for quality, false indicates optimization for speed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.